Bug 147219 - php-mysql needs upgrading to mysql4.1 client library
php-mysql needs upgrading to mysql4.1 client library
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 16:14 EST by Mike Kinney
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-06 10:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kinney 2005-02-04 16:14:00 EST
Description of problem:
Need to upgrade 3.23 client library to 4.1 client library.

Warning: mysql_connect(): Client does not support authentication
protocol requested by server; consider upgrading MySQL client in xxx
(file) on line 52
Unable to connect to SQL server

Version-Release number of selected component (if applicable):
[root@dragon stmt2]# rpm -qa | grep -i mysql
php-mysql-4.3.2-19.ent
mod_auth_mysql-20030510-1.ent
perl-DBD-MySQL-2.1021-3
MySQL-python-0.9.1-6
mysql-3.23.58-1
mysql-devel-3.23.58-1
qt-MySQL-3.1.2-13.4
libdbi-dbd-mysql-0.6.5-5
mysql-bench-3.23.58-1


How reproducible:
Try to connect to a 4.1 mysql server.

Steps to Reproduce:
1. open a php page on 4.1 mysql database
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2005-02-06 10:00:30 EST
The MySQL 4.1 server is compatible with 3.2x clients if you add the
"old_passwords=1" option to the MySQL server's "my.cnf" in the
[mysqld] options.

Note You need to log in before you can comment on or make changes to this bug.